
Foreman - Bug #34122

Report disallowed metric labels as "other"

12/09/2021 02:57 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Monitoring   

Target version:    

Difficulty:  Fixed in Releases: 3.1.1, 3.2.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8985,

https://github.com/theforeman/foreman/p

ull/9023

  

Description

To keep amount of metric labels small, we deny unwanted labels and only keep those which are interesting to have in the telemetry

data. However, previously when metric had a label that was not allowed, it was simply dropped.

This is skewing the data, when presenting total numbers as sum of all measurements (or duration histogram) those dropped

measurements must be included. This patch changes the behavior, it is now measured with label value of "Other".

The patch also adds one more metric which is amount of loaded record ids into authorizer cache so we can keep an eye on the rate.

Associated revisions

Revision a26eb290 - 01/05/2022 10:01 PM - Lukas Zapletal

Fixes #34122 - Report disallowed metric labels as other

Signed-off-by: Lukas Zapletal <lzap+git@redhat.com>

History

#1 - 12/09/2021 03:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8985 added

#2 - 01/05/2022 10:01 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#3 - 01/05/2022 11:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|a26eb290d0088b6f40a1a7f12c5066c38a8326a8.

#4 - 01/10/2022 02:49 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9023 added

#5 - 01/10/2022 08:48 PM - The Foreman Bot

- Fixed in Releases 3.1.1 added
